import os

from cleaner.clean import clean_all, save_set
from cleaner.dataframe import build_df

ROOT = os.path.join(os.path.dirname(__file__), '', '..')
IN_FILE = os.path.join(ROOT, 'out/json/issues.tar.gz')
OUT_FILE_PREFIX = os.path.join(ROOT, 'out/csv/issues')


def main():
    objs = []

    counter = clean_all(objs, IN_FILE)

    print(f'Removed Issues: {counter}')
    with open(OUT_FILE_PREFIX + '_removed_count.txt', 'w') as f:
        f.write(str(counter) + "\n")

    df = build_df(objs)

    save_set(df, 1, 170_000, '_train', OUT_FILE_PREFIX)
    save_set(df, 150_000, 170_000, '_train_recent', OUT_FILE_PREFIX)
    save_set(df, 170_001, 180_000, '_test', OUT_FILE_PREFIX)


if __name__ == '__main__':
    main()
