import numpy as np
from torch.utils import data

from .dataset import SplitData


class Dataset(data.Dataset):
    def __init__(self, split_data: SplitData):
        self.labels = split_data.labels
        self.texts = split_data.texts

    def classes(self):
        return self.labels

    def __len__(self):
        return len(self.labels)

    def get_batch_labels(self, idx):
        return np.array(self.labels[idx])

    def get_batch_texts(self, idx):
        return self.texts[idx]

    def __getitem__(self, idx):
        batch_texts = self.get_batch_texts(idx)
        batch_y = self.get_batch_labels(idx)
        return batch_texts, batch_y
