#!/usr/bin/env python3

import os
import tarfile
import time

from dotenv import load_dotenv

from scraper.download import download_page

load_dotenv()
TOKEN = os.getenv('GITHUB_TOKEN')
RATE_LIMIT_HR = 5000
OUT_DIR = os.path.join(os.path.dirname(__file__), '..', 'out', 'json')
OUT_ARCHIVE = os.path.join(OUT_DIR, 'issues.tar.gz')


def main():
    if not os.path.isdir(OUT_DIR):
        os.makedirs(OUT_DIR)
    elif os.path.isfile(OUT_ARCHIVE):
        os.remove(OUT_ARCHIVE)

    with tarfile.open(OUT_ARCHIVE, "w:gz") as tar:
        page = 1
        more = True

        while more:
            more = download_page(page, TOKEN, tar)
            page += 1
            time.sleep(3600 / RATE_LIMIT_HR)


if __name__ == '__main__':
    main()
